<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.decorators&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.decorators</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Function and method decorators used in kiwi
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id373">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.decorators.deprecated.html">deprecated</a></td>
    <td><span>I am a decorator which prints a deprecation warning each
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.decorators.signal_block.html">signal_block</a></td>
    <td><span>A decorator to be used on <a 
href="kiwi.ui.views.SlaveView.html"><code>kiwi.ui.views.SlaveView</code></a>
methods.
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>